searchNodes=[{"doc":"Provides functions to generate XML documents based on Ecto Schemas and maps. It uses XmlBuilder under the hood, see: https://github.com/joshnuss/xml_builder.","ref":"EctoXml.html","title":"EctoXml","type":"module"},{"doc":"Generates a partial XML element based on one ecto schema or map. The behaviour is idential to to_xml/3, except that it does not generate the XML document (e.g. &lt;?xml version=X encoding=Y?&gt;) with a root element name (e.g. &lt;root&gt; content &lt;/root&gt;), generating only the partial element instead. Example The following: %{ foo : &quot;bar&quot; } |&gt; EctoXml . to_partial_xml ( ) Results in: &lt;foo&gt;bar&lt;/foo&gt; Check to_xml/3 for more examples and use cases.","ref":"EctoXml.html#to_partial_xml/2","title":"EctoXml.to_partial_xml/2","type":"function"},{"doc":"Generates a XML document based on one ecto schema or map. The document_name argument refers to the XML root element name. Generating XML from maps The following: %{ foo : &quot;bar&quot; } |&gt; EctoXml . to_xml ( :root , format : :none ) Results in: &lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt;&lt;root&gt;&lt;foo&gt;bar&lt;/foo&gt;&lt;/root&gt; Generating XML from an Ecto Schema For a given schema: defmodule Person do @moduledoc false use Ecto.Schema @primary_key false embedded_schema do field :name , :string end end s The following: % Person { name : &quot;Foo Bar&quot; } |&gt; EctoXml . to_xml ( :person , format : :none ) Results in: &lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt;&lt;person&gt;&lt;name&gt;Foo Bar&lt;/name&gt;&lt;/person&gt; Customizing field names For a given schema: defmodule Person do @moduledoc false use Ecto.Schema @primary_key false @derive { EctoXml.Builder , map_field_names : %{ :name =&gt; :custom_element_name } } embedded_schema do field :name , :string end end The following: % Person { name : &quot;Foo Bar&quot; } |&gt; EctoXml . to_xml ( :person , format : :none ) Results in: &lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt;&lt;person&gt;&lt;custom_element_name&gt;Foo Bar&lt;/custom_element_name&gt;&lt;/person&gt;","ref":"EctoXml.html#to_xml/3","title":"EctoXml.to_xml/3","type":"function"},{"doc":"Build helper functions for EctoXml.","ref":"EctoXml.BuildHelper.html","title":"EctoXml.BuildHelper","type":"module"},{"doc":"Builds one XML element for a given field value.","ref":"EctoXml.BuildHelper.html#build_xml_element/3","title":"EctoXml.BuildHelper.build_xml_element/3","type":"function"},{"doc":"Builds a list of XML elements for a given ecto schema.","ref":"EctoXml.BuildHelper.html#build_xml_elements/2","title":"EctoXml.BuildHelper.build_xml_elements/2","type":"function"},{"doc":"Protocol that allows building ecto schemas into documents. Allows mapping the field names.","ref":"EctoXml.Builder.html","title":"EctoXml.Builder","type":"protocol"},{"doc":"","ref":"EctoXml.Builder.html#resolve_element_name/2","title":"EctoXml.Builder.resolve_element_name/2","type":"function"},{"doc":"","ref":"EctoXml.Builder.html#t:t/0","title":"EctoXml.Builder.t/0","type":"type"},{"doc":"Protocol to resolve XML element values.","ref":"EctoXml.ValueResolver.html","title":"EctoXml.ValueResolver","type":"protocol"},{"doc":"","ref":"EctoXml.ValueResolver.html#resolve/3","title":"EctoXml.ValueResolver.resolve/3","type":"function"},{"doc":"","ref":"EctoXml.ValueResolver.html#t:t/0","title":"EctoXml.ValueResolver.t/0","type":"type"}]